Subject: RE: [Adslmib] draft-ietf-adslmib-gshdslbis-05 last call

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Thu, 23 Sep 2004 22:02:36 +0200

My own review:

- It is probably better to change (in abstract):
                                                            The MIB
   module described in this document will obsolete the MIB module
   described in RFC 3276.

  into:
                                                            This
   document obsoletes RFC 3276.

- The current IANA considerations section is from RFC3276:

   3.2  IANA Considerations

   The HDSL2-SHDSL-LINE-MIB module requires the allocation of a single
   object identifier for its MODULE-IDENTITY.  The IANA has allocated
   this object identifier in the transmission subtree (48), defined in
   the SNMPv2-SMI MIB module.

  It might wise to add a paragraph aka:

   The assignment was in fact done when RFC3276 was published, and this
   revision of the RFC does not require any new action from IANA.

- I see in MODULE REVISION clause (the one for this revision):

   REVISION    "200409100000Z" -- September 10, 2004
   DESCRIPTION "Initial version, published as RFC xxxx.
         The following changes have been made from RFC 3276:

  That may be confusing since the "initial" version was in fact published
  as RFC3276. Maybe better to change "initial" into "This".
  I would also (but that is personal taste) rephrase that
  2nd sentence. So maybe better:

   REVISION    "200409100000Z" -- September 10, 2004
   DESCRIPTION "This version, published as RFC xxxx.
         The following changes have been made since RFC 3276:  

  or:

   REVISION    "200409100000Z" -- September 10, 2004
   DESCRIPTION "This version, published as RFC xxxx.
         The following changes have been made in this version:  

- These days, the MODULE-IDENTITY DESCRIPTION clause must include
  a copyright statement. So change

   DESCRIPTION
        "This MIB module defines a collection of objects for managing
         HDSL2/SHDSL lines.  An agent may reside at either end of the
         line, however the MIB is designed to require no management
         communication between the modems beyond that inherent in the
         low-level EOC line protocol as defined in ANSI T1E1.4/2000-006
         (for HDSL2 lines), or in ITU G.991.2 (for SHDSL lines)."

  into

   DESCRIPTION
        "This MIB module defines a collection of objects for managing
         HDSL2/SHDSL lines.  An agent may reside at either end of the
         line, however the MIB is designed to require no management
         communication between the modems beyond that inherent in the
         low-level EOC line protocol as defined in ANSI T1E1.4/2000-006
         (for HDSL2 lines), or in ITU G.991.2 (for SHDSL lines).

         Copyright (C) The Internet Society (2004).  This version of
         this MIB module is part of RFC xxxx; see the RFC itself for
         full legal notices.
        "

- I do not understand why RFC3514 is normative reference while RFC3515 is
  an informative reference. I would expect them to be of the same level.

For now I am assuming that Randy did check all the changes related to
the previous version of this MIB module.

Bert
> -----Original Message-----
> From: Michael Sneed [mailto:[email-masked]]
> Sent: Thursday, September 23, 2004 21:11
> To: [email-masked]
> Subject: [Adslmib] draft-ietf-adslmib-gshdslbis-05 last call
> 
> 
> Thanks, Clay, for all of your work.
> 
> If anyone has any further issues with this draft, please 
> voice them ASAP.  
> If nothing is posted prior to 22:00Z Thur. next week we will 
> conclude the WG 
> Last Call and refer the document for publication.
> 
> Regards,
> 
> Mike
> 
> 
> 
> 
> >From: "Clay Sikes" <[email-masked]>
> >To: adslmib mail list <[email-masked]>
> >Subject: [Adslmib] draft-ietf-adslmib-gshdslbis-05
> >Date: Thu, 23 Sep 2004 13:46:29 -0400
> >
> >All,
> >
> >The current version of the "Definitions of Managed Objects 
> for G.shdsl.bis 
> >Lines" draft is -05. Please accept my apology for not 
> keeping this list up 
> >to date on the changes. This message should outline the 
> changes made to the 
> >draft, since the -02 version.
> >
> >On August 20, 2004, Mike Sneed, the adslmib Chair, issued a 
> Last Call on 
> >version -02 of the draft.
> >
> >On August 24, 2004, Randy Presuhn, sent two messages 
> containing a list of 
> >comments and issues with version -02. Let me say that I am extremely 
> >grateful to Randy for the time he put in the review. His review was 
> >extremely detailed and generated an awesome list of 
> comments. His messages 
> >containing the comments can be found on the ADSL MIB 
> Discussion Archive. 
> >The changes from version -02 to version -03 address each 
> comment Randy had. 
> >Below is an outline of the significant changes:
> >1. The tool I used to generate a draft was updated which 
> resulted in some 
> >boiler plate and white space changes.
> >2 Changes to the HDSL2-SHDSL-LINE-MIB portion were as follows:
> >2a.. LAST-UPDATED was updated.
> >2b. WG-URL was added.
> >2c. REVISION list was collapsed and updated.
> >2d. Added explicit bounds to objects pertaining to Rates. 
> The explicit 
> >bound matches Unsigned32 in SMIv2.
> >2e. Added REFERENCEs to the objects in the hdsl2ShdslInventoryTable.
> >2f. Added  hdsl2ShdslPayloadRateGroup.
> >2g. Removed hdsl2ShdslStatusMaxAttainablePayloadRate and 
> >hdsl2ShdslStatusActualPayloadRate from the 
> hdsl2ShdslSpanStatusGroup and 
> >add them to the hdsl2ShdslPayloadRateGroup.
> >2h. Changed the hdsl2ShdslCurrShdslGroup to hdsl2ShdslWirePairGroup.
> >
> >I messed up the process of submitting version -03 with 
> respect to saying 
> >what version it was and having that match what was in the 
> draft, so I 
> >submitted version -04. In version -04, the LAST-UPDATED and 
> REVISION were 
> >updated. Even when I submitted version -04 to the IETF, I 
> had everything in 
> >the draft correct, but I stated in my email it was -03. I 
> guess I'm just a 
> >slow-learning, stupid newbie. Fortunately, the IETF didn't 
> post what said, 
> >but posted what was in the draft, so it worked out. God 
> bless the IETF!
> >
> >On September 2, 2004, Randy Presuhn, commented that I had 
> some dangling 
> >references after the last round of edits. As a result, 
> version -05 was 
> >submitted with the following changes:
> >1. LAST-UPDATED was updated.
> >2. REVISION was updated. Remember the REVISIONs are 
> collapsed since the 
> >draft is that close to being an RFC.
> >3. The following dangling references were removed:
> >3a. RFC 1155
> >3b. RFC 1157
> >3c. RFC 1212
> >3d. RFC 1215
> >3e. RFC 1901
> >3f. RFC 3412
> >3g. RFC 3413
> >3h. RFC 3416
> >3i. RFC 3417
> >3j. T1.213-2001
> >
> >This should bring us up to the -05 version of the draft. I didn't go 
> >through the details of each change. Instead, I highlighted 
> the "major" 
> >ones. In anyone needs to look at any of the versions, please 
> let me know 
> >and I would be happy to send them to you.
> >
> >Again, sorry I haven't been updating the list. As a newbie, 
> I wasn't sure 
> >if I should, but since have learned that it's necessary.
> >
> >Regards,
> >Clay Sikes
> >
> >
> >
> >-- Paradyne Mail --
> >
> >
> >_______________________________________________
> >Adslmib mailing list
> >[email-masked]
> >https://www1.ietf.org/mailman/listinfo/adslmib
> 
> _________________________________________________________________
> Express yourself instantly with MSN Messenger! Download today 
> - it's FREE! 
> http://messenger.msn.click-url.com/go/onm00200471ave/direct/01/
> 
> 
> _______________________________________________
> Adslmib mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/adslmib
> 

_______________________________________________
Adslmib mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/adslmib

---

From: "Clay Sikes" <[email-masked]>
Date: Thu, 23 Sep 2004 17:13:40 -0400

Hi Bert,

Excellent comments! I also really appreciate the detail on what to 
change things to. I look forward to making the changes and putting out 
version -06.

I do have one question on the last item which is the RFC 3514 reference. 
I couldn't find a reference to 3514 in the draft. Do you mean RFC 3414? 
If so, I have RFC 3414 cited as a Normative Reference because I'm 
calling it out in the Security Considerations section. Please let me 
know if I need to make an adjustment.

Again, thanks for looking over the draft.

- Clay

-- Paradyne Mail --